## db_reg

### Use

You update the registration information of a database instance. You can specify an option to update specific registration information.

In Microsoft Windows, the relevant entry in the registry is updated; in UNIX, the databases.ini file is updated in directory <independent_data_path>/config.

Each database is implicitly registered when it is created. Only a database error could make it necessary to update the registration information.

Therefore, only use this DBM command after upgrading the database instance, when you specify the installation path of the new database software version.

Since this also changes the Database Manager CLI version, it is necessary to close all open Database Manager sessions (also Database Manager GUI sessions) before you execute the command.

If you execute the command in session mode, afterwards you have to explicitly end the Database Manager CLI. In this way, the next time you access the current database instance, it will be with the new versions of the database software and the Database Manager CLI.

With this command, you can only switch between versions of the database software that do not require migration of the database instance.

### Prerequisites

● You have the server authorization InstallMgm.

● The database instance is in the OFFLINE operational state.

● You have ended all other sessions with the Database Manager (also in the Database Manager GUI).

Syntax

db_reg [-R <dependent_path> | -a [OFF] | –g <group> | -u <os_user>,<os_user_password>]

Options

Option | Description
-R <dependent_path> | Location of the database version-dependent server software
-a [OFF] | For Microsoft Windows only: You define the service entry Start-up-type in the control panel. Possible options are –a | -a OFF. -a: the Start-up-type is set to automatic. -a OFF: the Start-up-type is set to manual. Under the UNIX operating system this parameter is ignored.
-g <group> | For UNIX only: You assign your database files to an operating system user group other than the standard group and can thus protect the files from unauthorized access.
-u <os_user>,<os_user_password> | For Microsoft Windows only: operating system user specification The service for starting the database kernel should run under the specified operating system user. <os_user>: name of the operating system user <os_user_password>: password of the operating system user

### Example

#### Changing the Software Version in Command Mode

Call the Database Manager CLI, log on as operator OLEG with password MONDAY, connect to the database instance DEMODB, change the current software version to version 7.6 which is stored in C:\Program Files\sdb\76.

>dbmcli -u OLEG,MONDAY -d DEMODB db_reg -R "C:\Program Files\sdb\76"

OK

#### Changing the Software Version in Session Mode

...

Call the Database Manager CLI, log on as operator DBM with the password DBM, connect to the database instance DEMODB

Changing the software version to Version 7.6 at installation path C:\Program Files\sdb\76,

Exit the Database Manager CLI:

>dbmcli -u DBM,DBM -d DEMODB

dbmcli on DEMODB>db_reg -R "C:\Program Files\sdb\76"

dbmcli on DEMODB>exit

OK